print "Content-Type: text/html\n"
import pickle

try:
    data = pickle.load(open("data"))
except:
    data = {};
usernames = sorted(data.keys())


print """\
<html>

<head>
<title>Drawing Night Scheduler</title>
<link rel="stylesheet" type="text/css" href="style.css"/>
</head>

<body>
<h1>Drawing Night Scheduler</h1>
"""


# Find the best date
datetally = {}
for user in data:
    for dtstr in data[user]:
        datetally[dtstr] = datetally.get(dtstr, 0)+1
if len(datetally) > 0:
    maxusers = max(datetally.values())
    idealdates = [i for i in datetally if datetally[i]==maxusers]
    idealdate = min(idealdates)
    strmaxusers = str(maxusers) + (" person" if maxusers==1 else " people")
    stridealdate = idealdate[:10] + " " + idealdate[-2:] + ":00"
    print """<h2>Drawing night will be on %s UTC with %s.<br/>That's <span id="convertdate"></span>.</h2>""" % (stridealdate, strmaxusers)
    print """\
<script language="javascript">
date = new Date();
date.setUTCFullYear(%s, %s-1, %s);
date.setUTCHours(%s);
date.setUTCMinutes(0);
date.setUTCSeconds(0);
element = document.getElementById("convertdate");
element.innerHTML = date;
</script>
""" % tuple(idealdate.split("/"))
else:
    print "<h2>Drawing night is still undecided.</h2>"
    

print """\
<form method="get" action="timetable.py">
Choose your name from the list or type it in.<br/>
<select name="username">
<option value="">---</option>
"""
for username in usernames:
    print '<option value="%s">%s</option>' % (username, username)
print """\
</select><br/>
<input type="text" name="newusername"/><br/>
<input type="hidden" id="timezone" name="timezone" value="0">
<input type="submit" value="Edit your timetable"/>
</form>

<script language="javascript">
document.getElementById("timezone").value = -(new Date()).getTimezoneOffset()/60;
</script>

</body>

</html>
"""
